These are chat archives for spyder-ide/public

10th
Jan 2019
pramodadhikari
@pramodadhikari
Jan 10 19:16
i am trying to run spyder in miniconda and i ge this error, ValueError: failed to parse CPython sys.version: '3.7.0 (default, Jun 28 2018, 07:39:16) \n[Clang 4.0.1 (tags/RELEASE_401/final)]'
Carlos Cordoba
@ccordoba12
Jan 10 19:25
Pleaser update Spyder. It should be fixed in our latest version
pramodadhikari
@pramodadhikari
Jan 10 20:31
I did updated, re-installed it, but didn't work
CAM Gerlach
@CAM-Gerlach
Jan 10 20:32
@pramodadhikari What version of Spyder are you using?
pramodadhikari
@pramodadhikari
Jan 10 20:42
I am using 3.3.2
I am using it on miniconda. Also, I noticed that it is not being compatible with jpeg version 9c. Though in anaconda which have jpeg version 9b it runs, but as i update jpeg to 9c or 8d, which is required for, pyhdf to run , spyder crashed.
pramodadhikari
@pramodadhikari
Jan 10 20:49
I have no idea, how to fix this, can anyone help me in this ?
Carlos Cordoba
@ccordoba12
Jan 10 20:50
Did you install everything from zero after installing miniconda?
pramodadhikari
@pramodadhikari
Jan 10 20:52
yes
Carlos Cordoba
@ccordoba12
Jan 10 20:56
Please open Terminal.app and post a screenshot with the error you're seeing there (what you posted is not enough)
pramodadhikari
@pramodadhikari
Jan 10 21:04
Pramods-MacBook-Pro:~ pramodadhikari$ spyder
Traceback (most recent call last):
File "/miniconda3/lib/python3.7/site-packages/spyder/app/mainwindow.py", line 3284, in main
mainwindow = run_spyder(app, options, args)
File "/miniconda3/lib/python3.7/site-packages/spyder/app/mainwindow.py", line 3139, in run_spyder
main.setup()
File "/miniconda3/lib/python3.7/site-packages/spyder/app/mainwindow.py", line 844, in setup
from spyder.plugins.editor import Editor
File "/miniconda3/lib/python3.7/site-packages/spyder/plugins/editor.py", line 41, in <module>
from spyder.utils.introspection.manager import IntrospectionManager
File "/miniconda3/lib/python3.7/site-packages/spyder/utils/introspection/manager.py", line 21, in <module>
from spyder.utils.introspection.plugin_client import PluginClient
File "/miniconda3/lib/python3.7/site-packages/spyder/utils/introspection/plugin_client.py", line 18, in <module>
import zmq
File "/miniconda3/lib/python3.7/site-packages/zmq/init.py", line 42, in <module>
_load_libzmq()
File "/miniconda3/lib/python3.7/site-packages/zmq/init.py", line 13, in _load_libzmq
PYPY = platform.python_implementation().lower() == 'pypy'
File "/miniconda3/lib/python3.7/platform.py", line 1263, in python_implementation
return _sys_version()[0]
File "/miniconda3/lib/python3.7/platform.py", line 1224, in _sys_version
repr(sys_version))
ValueError: failed to parse CPython sys.version: '3.7.0 (default, Jun 28 2018, 07:39:16) \n[Clang 4.0.1 (tags/RELEASE_401/final)]'
Pramods-MacBook-Pro:~ pramodadhikari$
This is what i get while running spyder in terminal